Subject: Re: bug#79139: cp --reflink truncates sparse files on ZFS

From: Paul Eggert <[email-masked]>
Date: Fri, 1 Aug 2025 22:58:58 -0700

On 2025-08-01 20:56, Collin Funk wrote:
> Also, I assume this bug will cause problems in any syscall returning
> ssize_t (e.g. read, write, send).

It could well do that, yes. I suspect I haven't run into it because the 
programs I help maintain respect SYS_BUFSIZE_MAX in their calls to those 
other functions.

For now I suppose we could just document the bug as something Gnulib 
doesn't fix for those functions. If we ever run into this being a real 
problem, I suppose we could implement Gnulib workarounds though I hope 
we don't have to because they'd be a real pain due to EINTR, other errno 
values, programs expecting no partial reads on regular files, etc.